Firefox OS Architecture and Collaboration Opportunities w/ Asa Dotzler – XDA:DevCon 2014

We were privileged to host many presentations … more

Unofficial Android 4.4 Lands on Three Mediatek Devices

For the last few years, devices with MTK systems-on-chip haven’t received much … more

MultiImagePicker Library for Multiple Image Selection

App developmentcan be done in more than a handful of ways. You can write every single … more

Shoot Troubles, Not Users w/ Alex Boag-Munroe – XDA:DevCon 2014

In presenting the various sessions from XDA:DevCon 2014, weve mainly … more

Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

Which Firmware to go with ViperOne 5.8 on Sprint HTC One

OP coctostan

14th April 2014, 05:41 PM   |  #1  
OP Junior Member
Thanks Meter: 0
 
6 posts
Join Date:Joined: May 2013
I've recently upgraded to ViperOne 5.8 from 3.5 (and prior to that 1.0) on a Sprint HTC One running TWRP 2.7.0.1. I've never updated the firmware, done an S-Off or an Hboot update. Does anyone have recommendations regarding firmware version, hboot version and s-off software that work well with my setup. Thanks in advance.
14th April 2014, 06:16 PM   |  #2  
slickrick54's Avatar
Senior Member
Flag Tampa
Thanks Meter: 171
 
642 posts
Join Date:Joined: Jan 2011
More
Quote:
Originally Posted by coctostan

I've recently upgraded to ViperOne 5.8 from 3.5 (and prior to that 1.0) on a Sprint HTC One running TWRP 2.7.0.1. I've never updated the firmware, done an S-Off or an Hboot update. Does anyone have recommendations regarding firmware version, hboot version and s-off software that work well with my setup. Thanks in advance.

I believe i understood you were s-off already. If so you could update your recovery to the latest 2.7.0.4b and i would update your firmware to the latest as well. As for hboot i flashed roots aroma hboot and worked perfectly.
Last edited by slickrick54; 14th April 2014 at 06:19 PM.
14th April 2014, 06:19 PM   |  #3  
OP Junior Member
Thanks Meter: 0
 
6 posts
Join Date:Joined: May 2013
Quote:
Originally Posted by slickrick54

I believe i understood you were s-off already. If so you need to update your recovery to at least 2.6.3 and i would update your firmware to the latest. As for hboot i flashed roots aroma hboot and worked perfectly.

No, it is not s-off presently. I originally rooted it a year ago when new and installed ViperOne 1.0.

Do you know where I can find the latest firmware? Are you suggesting I downgrade TWRP from 2.7.0.1 to 2.6.3.0?
14th April 2014, 08:11 PM   |  #4  
slickrick54's Avatar
Senior Member
Flag Tampa
Thanks Meter: 171
 
642 posts
Join Date:Joined: Jan 2011
More
Quote:
Originally Posted by coctostan

No, it is not s-off presently. I originally rooted it a year ago when new and installed ViperOne 1.0.

Do you know where I can find the latest firmware? Are you suggesting I downgrade TWRP from 2.7.0.1 to 2.6.3.0?

No dont downgrade your recovery you will be ok there but you can update it if you want. Here is the link to the newest firmware bud http://forum.xda-developers.com/show....php?t=2687690. I would definitely recommend getting s-off though if i were you
19th April 2014, 09:40 PM   |  #5  
OP Junior Member
Thanks Meter: 0
 
6 posts
Join Date:Joined: May 2013
Quote:
Originally Posted by slickrick54

No dont downgrade your recovery you will be ok there but you can update it if you want. Here is the link to the newest firmware bud http://forum.xda-developers.com/show....php?t=2687690. I would definitely recommend getting s-off though if i were you

Anybody else have actual experience with a specific Firmware version that works nicely with ViperOne 5.8? My phone works well as it is but it I wouldn't mind getting more up to date performance.
21st April 2014, 01:10 PM   |  #6  
slickrick54's Avatar
Senior Member
Flag Tampa
Thanks Meter: 171
 
642 posts
Join Date:Joined: Jan 2011
More
Quote:
Originally Posted by coctostan

Anybody else have actual experience with a specific Firmware version that works nicely with ViperOne 5.8? My phone works well as it is but it I wouldn't mind getting more up to date performance.

Dude i've flashed every firmware update there was. The newest one would be the best for you but if not why not try them all then and find out which one works best for your phone. Here's the link to the newest one if you want http://forum.xda-developers.com/show....php?t=2687690. Also searching really helps out.
21st April 2014, 06:05 PM   |  #7  
OP Junior Member
Thanks Meter: 0
 
6 posts
Join Date:Joined: May 2013
Quote:
Originally Posted by slickrick54

Dude i've flashed every firmware update there was. The newest one would be the best for you but if not why not try them all then and find out which one works best for your phone. Here's the link to the newest one if you want http://forum.xda-developers.com/show....php?t=2687690. Also searching really helps out.

Much appreciated. So I flashed the latest firmware from that link and when ViperOne loads back up it keeps showing "Unfortunately Setup has Stopped". Did I do something incorrectly?
21st April 2014, 06:20 PM   |  #8  
slickrick54's Avatar
Senior Member
Flag Tampa
Thanks Meter: 171
 
642 posts
Join Date:Joined: Jan 2011
More
Quote:
Originally Posted by coctostan

Much appreciated. So I flashed the latest firmware from that link and when ViperOne loads back up it keeps showing "Unfortunately Setup has Stopped". Did I do something incorrectly?

To be honest with you i would back up your apps and data with titanium backup from the playstore and then just do a full wipe in twrp meaning system and data as well. Just dont erase internal storage. Then reflash the rom zip and everything will be fresh and new. Then restore everything with titanium.

PS: just to let you know viper one has been updated to sense 6.0 if you check there link again.
Last edited by slickrick54; 21st April 2014 at 06:23 PM.
21st April 2014, 06:53 PM   |  #9  
OP Junior Member
Thanks Meter: 0
 
6 posts
Join Date:Joined: May 2013
Unforunately, I can't seem to do that now. Neither TWRP or Philz will allow me to do anything. Did I overwrite the SuperSU app?

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes